* {
  margin: 0;

  padding: 0;

  box-sizing: border-box;
}

body {
  height: 100%;

  min-height: 100vh;

  display: flex;

  justify-content: center;

  align-items: center;

  background-color: #eff0f3;

  font-family: "Roboto Mono", monospace;
}

.container {
  width: 450px;

  height: 450px;

  background-color: #fff;

  display: flex;

  flex-direction: column;

  justify-content: space-between;

  align-items: center;

  gap: 2rem;

  padding: 2rem;

  color: #4b4e9f;

  border-top-right-radius: 45px;

  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.329);

  position: relative;

  transition: transform 8.55;
}

.close {
  background-color: transparent;

  position: absolute;

  top: 1rem;

  right: 1rem;

  border: none;

  padding: 5px;

  width: 50px;

  height: 50px;

  border-radius: 50%;

  transition: all 0.2s;
}

.close:hover {
  transform: rotate(45deg);
}

.fa-xmark {
  color: #4b4e9f;

  font-size: 18px;
}

.fa-moon {
  color: #4b4e9f;

  font-size: 42px;
}

.offer {
  font-weight: 900;
}

.cta {
  background-color: #181940;

  color: white;

  padding: 1.5rem 3rem;

  border: none;

  border-radius: 8px;

  transition: background-color 0.25;
}
.cta:hover {
  background-color: #35376d;
}

.cta:active {
  background-color: #4b4e9f;
}

.closed {
  transform: translateY(100%) rotateX(90deg) scale(0);
}
